\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - 2D and 3D Linear Geometry Kernel

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
CGAL::Origin Class Reference
2D and 3D Linear Geometry Kernel Reference

`#include <CGAL/Origin.h>`

## Definition

CGAL defines a symbolic constant `ORIGIN` which denotes the point at the origin.

`Origin` is the type of this constant. It is used in the conversion between points and vectors.

See Also
  `CGAL::Point_2<Kernel>`
  `CGAL::Point_3<Kernel>`
  `CGAL::Vector_2<Kernel>`
  `CGAL::Vector_3<Kernel>`
  `CGAL::operator+`
  `CGAL::operator-`

Examples:
  Kernel_23/MyConstruct_point_2.h.